<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>DashboardModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="984pt" height="211pt"
 viewBox="0.00 0.00 984.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 980,-207 980,4 -4,4"/>
<text text-anchor="start" x="467.0091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="254,-10 254,-30 274,-30 274,-10 254,-10"/>
<text text-anchor="start" x="277.629" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="367,-10 367,-30 387,-30 387,-10 367,-10"/>
<text text-anchor="start" x="390.7251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="453,-10 453,-30 473,-30 473,-10 453,-10"/>
<text text-anchor="start" x="476.7812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="550,-10 550,-30 570,-30 570,-10 550,-10"/>
<text text-anchor="start" x="573.6732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="646,-10 646,-30 666,-30 666,-10 646,-10"/>
<text text-anchor="start" x="669.7258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_DashboardModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 968,-195 968,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_DashboardModule_declarations</title>
<polygon fill="none" stroke="#000000" points="624,-78 624,-130 960,-130 960,-78 624,-78"/>
</g>
<g id="clust5" class="cluster">
<title>cluster_DashboardModule_imports</title>
<polygon fill="none" stroke="#000000" points="318,-78 318,-130 616,-130 616,-78 318,-78"/>
</g>
<g id="clust8" class="cluster">
<title>cluster_DashboardModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 310,-130 310,-78 16,-78"/>
</g>
<!-- DashboardComponent -->
<g id="node1" class="node">
<title>DashboardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="951.9734,-122 810.0266,-122 810.0266,-86 951.9734,-86 951.9734,-122"/>
<text text-anchor="middle" x="881" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DashboardComponent</text>
</g>
<!-- DashboardModule -->
<g id="node3" class="node">
<title>DashboardModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="585.191,-187 582.191,-191 561.191,-191 558.191,-187 464.809,-187 464.809,-151 585.191,-151 585.191,-187"/>
<text text-anchor="middle" x="525" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">DashboardModule</text>
</g>
<!-- DashboardComponent&#45;&gt;DashboardModule -->
<g id="edge1" class="edge">
<title>DashboardComponent&#45;&gt;DashboardModule</title>
<path fill="none" stroke="#000000" d="M881,-122.2843C881,-143.3211 881,-175 881,-175 881,-175 595.3905,-175 595.3905,-175"/>
<polygon fill="#000000" stroke="#000000" points="595.3906,-171.5001 585.3905,-175 595.3905,-178.5001 595.3906,-171.5001"/>
</g>
<!-- OperationListComponent -->
<g id="node2" class="node">
<title>OperationListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="791.5884,-122 632.4116,-122 632.4116,-86 791.5884,-86 791.5884,-122"/>
<text text-anchor="middle" x="712" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationListComponent</text>
</g>
<!-- OperationListComponent&#45;&gt;DashboardModule -->
<g id="edge2" class="edge">
<title>OperationListComponent&#45;&gt;DashboardModule</title>
<path fill="none" stroke="#000000" d="M712,-122.0225C712,-139.3734 712,-163 712,-163 712,-163 595.1973,-163 595.1973,-163"/>
<polygon fill="#000000" stroke="#000000" points="595.1973,-159.5001 585.1973,-163 595.1973,-166.5001 595.1973,-159.5001"/>
</g>
<!-- DashboardRoutingModule -->
<g id="node4" class="node">
<title>DashboardRoutingModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="607.8089,-122 604.8089,-126 583.8089,-126 580.8089,-122 442.1911,-122 442.1911,-86 607.8089,-86 607.8089,-122"/>
<text text-anchor="middle" x="525" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DashboardRoutingModule</text>
</g>
<!-- DashboardRoutingModule&#45;&gt;DashboardModule -->
<g id="edge3" class="edge">
<title>DashboardRoutingModule&#45;&gt;DashboardModule</title>
<path fill="none" stroke="#000000" d="M525,-122.1061C525,-122.1061 525,-140.991 525,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="521.5001,-140.9909 525,-150.991 528.5001,-140.991 521.5001,-140.9909"/>
</g>
<!-- SharedModule -->
<g id="node5" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="424.4231,-122 421.4231,-126 400.4231,-126 397.4231,-122 325.5769,-122 325.5769,-86 424.4231,-86 424.4231,-122"/>
<text text-anchor="middle" x="375" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;DashboardModule -->
<g id="edge4" class="edge">
<title>SharedModule&#45;&gt;DashboardModule</title>
<path fill="none" stroke="#000000" d="M375,-122.0225C375,-139.3734 375,-163 375,-163 375,-163 454.8536,-163 454.8536,-163"/>
<polygon fill="#000000" stroke="#000000" points="454.8536,-166.5001 464.8536,-163 454.8535,-159.5001 454.8536,-166.5001"/>
</g>
<!-- GeneratedVotingMaterialService -->
<g id="node6" class="node">
<title>GeneratedVotingMaterialService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="163" cy="-104" rx="139.3995" ry="18"/>
<text text-anchor="middle" x="163" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">GeneratedVotingMaterialService</text>
</g>
<!-- GeneratedVotingMaterialService&#45;&gt;DashboardModule -->
<g id="edge5" class="edge">
<title>GeneratedVotingMaterialService&#45;&gt;DashboardModule</title>
<path fill="none" stroke="#000000" d="M163,-122.2843C163,-143.3211 163,-175 163,-175 163,-175 454.8167,-175 454.8167,-175"/>
<polygon fill="#000000" stroke="#000000" points="454.8167,-178.5001 464.8167,-175 454.8167,-171.5001 454.8167,-178.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/dashboard/dashboard.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/DashboardComponent.html">DashboardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/OperationListComponent.html">OperationListComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/GeneratedVotingMaterialService.html">GeneratedVotingMaterialService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/DashboardRoutingModule.html">DashboardRoutingModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &quot;@angular/core&quot;;

import { SharedModule } from &quot;../shared/shared.module&quot;;
import { DashboardRoutingModule } from &quot;./dashboard-routing.module&quot;;
import { DashboardComponent } from &quot;./dashboard.component&quot;;
import { OperationListComponent } from &quot;./operation-list/operation-list.component&quot;;
import { GeneratedVotingMaterialService } from &quot;../operation/service/generated-voting-material.service&quot;;

@NgModule({
  imports: [
    SharedModule,
    DashboardRoutingModule
  ],
  declarations: [
    DashboardComponent,
    OperationListComponent
  ],
  providers: [
    GeneratedVotingMaterialService
  ]
})
export class DashboardModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'DashboardModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
